package request


type AlibabaWdkorderSharestockInsuranceGetorderRequest struct {
    /*
        淘宝子订单ID     */
    TbSubOrderId  *int64 `json:"tb_sub_order_id" required:"true" `
}

func (s *AlibabaWdkorderSharestockInsuranceGetorderRequest) SetTbSubOrderId(v int64) *AlibabaWdkorderSharestockInsuranceGetorderRequest {
    s.TbSubOrderId = &v
    return s
}

func (req *AlibabaWdkorderSharestockInsuranceGetorderRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.TbSubOrderId != nil) {
        paramMap["tb_sub_order_id"] = *req.TbSubOrderId
    }
    return paramMap
}

func (req *AlibabaWdkorderSharestockInsuranceGetorderRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}